/**
 * @flow
 * @type {string}
 */
// action type
export const PUSH = 'push';
export const POP = 'pop';
export const TAB = 'tab';
// action creator
export const push = (pageName: String = '') => ({
  type: PUSH,
  pageName,
});
export const pop = (pageName: String = '') => ({
  type: POP,
  pageName,
});
export const tab = (pageName: String = '') => ({
  type: TAB,
  pageName,
});
